需求

网站服务器

因为 phpMyAdmin 的界面是完全基于您的浏览器,所以您需要一个网站服务器(如 Apache, nginx, IIS)来安装 phpMyAdmin。

PHP

  • You need PHP 5.5.0 or newer, with session support, the Standard PHP Library (SPL) extension, and JSON support.
  • The mbstring extension (see mbstring) is strongly recommended for performance reasons.
  • 要支持上传 ZIP 文件,您需要 PHP zip 扩展。

  • 要支持内嵌 JPEG 图像(“image/jpeg: inline”)的等比缩略图,您需要 PHP GD2 支持。

  • When using the cookie authentication (the default), the openssl extension is strongly suggested.
  • 要支持上传进度条,参见 2.9 Seeing an upload progress bar

  • To support XML and Open Document Spreadsheet importing, you need the libxml extension.
  • To support reCAPTCHA on the login page, you need the openssl extension.
  • To support displaying phpMyAdmin’s latest version, you need to enable allow_url_open in your php.ini or to have the curl extension.

数据库

phpMyAdmin supports MySQL-compatible databases.

  • MySQL 5.5 or newer
  • MariaDB 5.5 或更高版本

网页浏览器

您需要一个支持 cookies 和启用了 JavaScript 的网页浏览器来访问 phpMyAdmin。

You need browser which is supported by jQuery 2.0, see <https://jquery.com/browser-support/>.